### Method

# Gimp Curve set_point

since: 3.2

#### Declaration [src]

    void
    gimp_curve_set_point (
      GimpCurve* curve,
      gint point,
      gdouble x,
      gdouble y
    )

#### Description [src]

Sets the `point` coordinates in a `GIMP_CURVE_SMOOTH` `curve`. Any value outside the `[0.0, 1.0]` range will be silently clamped.

Available since: 3.2

#### Parameters

`point`

  Type: `gint`

  A point identifier.

`x`

  Type: `gdouble`

  The point abscissa on a `[0.0, 1.0]` range.

`y`

  Type: `gdouble`

  The point ordinate on a `[0.0, 1.0]` range.